Bug 126178 - mail/simscan patch to work with clamav 0.93
Summary: mail/simscan patch to work with clamav 0.93
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-01 21:40 UTC by rainer
Modified: 2008-08-29 17:54 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rainer 2008-08-01 21:40:06 UTC
Hi,

there's a patch at 
http://qmail.jms1.net/simscan/
(http://qmail.jms1.net/simscan/simscan-1.4.0-combined.3.patch)

That adds support for clamav's daily.cld files and also adds some more
debugging possibilities.
Comment 1 Edwin Groothuis freebsd_committer 2008-08-02 07:22:35 UTC
Maintainer of mail/simscan,

Please note that PR ports/126178 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/126178

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-08-02 07:22:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Renato Botelho freebsd_committer 2008-08-28 14:50:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 4 Renato Botelho freebsd_committer 2008-08-28 14:50:29 UTC
Here is a patch to fix the port based on a patch found here:

http://qmail.jms1.net/simscan/simscan-1.4.0-clamav.3.patch

Thanks

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/mail/simscan/Makefile,v
retrieving revision 1.11
diff -u -r1.11 Makefile
--- Makefile	16 Apr 2008 16:10:19 -0000	1.11
+++ Makefile	28 Aug 2008 13:45:30 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	simscan
 PORTVERSION=	1.4.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	mail security
 MASTER_SITES=	SF
 DISTNAME=	${PORTNAME}-${PORTVERSION:S/.r/rc/}
Index: files/patch-fix_clamav_0.93
===================================================================
RCS file: files/patch-fix_clamav_0.93
diff -N files/patch-fix_clamav_0.93
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-fix_clamav_0.93	28 Aug 2008 13:45:30 -0000
@@ -0,0 +1,86 @@
+--- configure	2007-10-29 10:14:25.000000000 -0400
++++ configure	2008-05-02 15:31:51.000000000 -0400
+@@ -4686,6 +4686,14 @@
+           then
+             clamavdb=$f
+             break
++          elif test -f "$f/daily.cld"
++          then
++            clamavdb=$f
++            break
++          elif test -f "$f/daily.inc/daily.info"
++          then
++            clamavdb=$f
++            break
+           fi
+         done
+ 
+--- configure.in	2007-10-29 10:13:40.000000000 -0400
++++ configure.in	2008-05-02 15:31:32.000000000 -0400
+@@ -622,6 +622,14 @@
+           then
+             clamavdb=$f
+             break
++          elif test -f "$f/daily.cld"
++          then
++            clamavdb=$f
++            break
++          elif test -f "$f/daily.inc/daily.info"
++          then
++            clamavdb=$f
++            break
+           fi
+         done
+ 
+--- simscanmk.c	2006-10-10 19:15:17.000000000 -0400
++++ simscanmk.c	2008-07-07 14:21:46.000000000 -0400
+@@ -123,6 +123,7 @@
+   char input[MAX_LINE];
+   char dbpath[MAX_LINE];
+   char *pos;
++  int rv;
+ #if ENABLE_SPAM==1 || ENABLE_TROPHIE==1
+   int fnd_vsvers;
+ #endif
+@@ -276,8 +277,18 @@
+     waitpid(pid,&rmstat,0);
+     close(pin[0]); close(pin[1]);
+   }
+-  strncpy(dbpath,CLAMAVDBPATH,MAX_DATA);
+-  strcat(dbpath,"/main.cvd");
++  strncpy(dbpath,CLAMAVDBPATH,MAX_LINE);
++  strncat(dbpath,"/main.inc/main.info",(MAX_LINE-sizeof(CLAMAVDBPATH)-1));
++  rv=access(dbpath,F_OK);
++  if(rv) {
++    strncpy(dbpath,CLAMAVDBPATH,MAX_LINE);
++    strncat(dbpath,"/main.cld",(MAX_LINE-sizeof(CLAMAVDBPATH)-1));
++  }
++  rv=access(dbpath,F_OK);
++  if(rv) {
++    strncpy(dbpath,CLAMAVDBPATH,MAX_LINE);
++    strncat(dbpath,"/main.cvd",(MAX_LINE-sizeof(CLAMAVDBPATH)-1));
++  }
+   strcat(data,"m:");
+   if (pipe(pin)){
+     printf("error opening pipe for sigtool\n");
+@@ -306,8 +317,18 @@
+     }
+     waitpid(pid,&rmstat,0);
+     close(pin[0]); close(pin[1]);
+-    strncpy(dbpath,CLAMAVDBPATH,MAX_DATA);
+-    strcat(dbpath,"/daily.cvd");
++    strncpy(dbpath,CLAMAVDBPATH,MAX_LINE);
++    strncat(dbpath,"/daily.inc/daily.info",(MAX_LINE-sizeof(CLAMAVDBPATH)-1));
++    rv=access(dbpath,F_OK);
++    if(rv) {
++      strncpy(dbpath,CLAMAVDBPATH,MAX_LINE);
++      strncat(dbpath,"/daily.cld",(MAX_LINE-sizeof(CLAMAVDBPATH)-1));
++    }
++    rv=access(dbpath,F_OK);
++    if(rv) {
++      strncpy(dbpath,CLAMAVDBPATH,MAX_LINE);
++      strncat(dbpath,"/daily.cvd",(MAX_LINE-sizeof(CLAMAVDBPATH)-1));
++    }
+     if (pipe(pin)){
+      printf("error opening pipe for sigtool\n");
+     }


-- 
Renato Botelho <garga @ FreeBSD.org>
               <garga @ freebsdbrasil.com.br>
GnuPG Key: http://www.FreeBSD.org/~garga/pubkey.asc

Govern a great nation as you would cook a small fish.  Don't overdo it.
		-- Lao Tsu
Comment 5 dfilter service freebsd_committer 2008-08-29 17:48:30 UTC
garga       2008-08-29 16:48:17 UTC

  FreeBSD ports repository

  Modified files:
    mail/simscan         Makefile 
  Added files:
    mail/simscan/files   patch-fix_clamav_0.93 
  Log:
  - Fix build with recent clamav, based on the following patch:
  
          http://qmail.jms1.net/simscan/simscan-1.4.0-clamav.3.patch
  
  - Bump PORTREVISION
  
  PR:             ports/126178
  Submitted by:   Rainer Duffner <rainer@ultra-secure.de>
  Reworked by:    garga
  Approved by:    maintainer via ICQ
  
  Revision  Changes    Path
  1.12      +1 -1      ports/mail/simscan/Makefile
  1.1       +86 -0     ports/mail/simscan/files/patch-fix_clamav_0.93 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Renato Botelho freebsd_committer 2008-08-29 17:54:13 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!